You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5. Windows Server 2008 R2

While trying to install Visual Studio 2008 on a Windows 2008 R2 machine you may get the following error.

 

You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5.

 

This is because Windows 2008 R2 ships with the .NET 3.5.1 framework. You just need to enable the feature from Server Manager.

 

vs2k8win2k8r2sm

 

So before starting the Visual Studio 2008 Setup install the .NET Framework 3.5.1 Features from the Add Features Wizard in Server Manager.

 

After that when you run the Visual Studio 2008 Setup, the installer will detect that the 3.5 framework is already installed and skip to the next step.

Fuente Original: https://blogs.msdn.microsoft.com/vijaysk/2009/08/16/you-must-use-the-role-management-tool-to-install-or-configure-microsoft-net-framework-3-5/

Anuncios

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión /  Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión /  Cambiar )

w

Conectando a %s